#ifndef AWWAITEXAM_H
#define AWWAITEXAM_H

#include <QWidget>
#include "CHttpBll.h"
#include <QTimer>

namespace Ui {
class awWaitExam;
}

class awWaitExam : public QWidget
{
    Q_OBJECT

signals:
    void enterExam();
    void exitEaxm();
    void gobackLogin();
public:
    explicit awWaitExam(QWidget *parent = nullptr);
    ~awWaitExam();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);
private slots:
	void onStartExam(CStartExam startExam);
	void onGetExamProperty(CGetExamProperty getExamProperty);
	void onGetExamRecordPaperStruct(CGetExamRecordPaperStruct getExamRecordPaperStruct);
    void on_btn_we_startExam_clicked();

private:
    Ui::awWaitExam *ui;
	std::shared_ptr<QTimer> m_pTimer;

	int nCountDownCount;
	bool bHasStruct;
};

#endif // AWWAITEXAM_H
